Support Open Source
Development


Sponsors:
Vightel Corporation
Innovative Solutions

Rools quickstart

make sure you are using Ruby 1.8.5 at least

   $ sudo gem install rools

your first Rools powered program

edit a file named ‘rools.rb

require 'rubygems'
require 'rools'

  rules = Rools::RuleSet.new do
	rule 'Hello' do
	   parameter String
	   consequence { puts "Hello, Rools!" }
	end
  end
  
  rules.assert 'Heya'

run that file

    $ ruby rools.rb

there should be an output like that one :

    Hello, Rools!

(uninstalling rools)

Maybe Rools isn’t for you :

    $ sudo gem uninstall rools